/* Copyright (c) 1996 by Stanford University.  All Rights Reserved */

/***************************************************************************
   NAME

   PURPOSE
     
   NOTES
     
   AUTHOR
     David Hsu  
   
     dyhsu@cs.stanford.edu
     http://robotics.stanford.edu/~dyhsu 
                  
   HISTORY

***************************************************************************/


#ifndef _CONFIGARRAY_H
#define _CONFIGARRAY_H

#include <stdio.h>
#include <iostream.h>

class Config;				/* forward decl */

/* ConfigArray
 *   a class for an array of config's
 *
 * Note: Array bounds are 0 <= i < size(). They are are not checked. 
 */

class ConfigArray {
  friend ostream& operator<<(ostream& os, ConfigArray& tr);

public:
  ConfigArray(int s=0);
  ~ConfigArray();

#ifdef BOUNDCHECKS
  Config*& operator[](int i) {
    if (0<i && i< sz) 
      return p[i];
    else {
      cerr << "ConfigArray index out of bounds\n" << endl;
      abort();
    }
  }
#else
  Config*& operator[](int i) { return p[i]; }
#endif
  int size() { return sz ; }
  void resize(unsigned nsize);
  void printOmitLast(ostream& os);

protected:
  int sz ;
  Config* v;
  Config** p;
};



#endif /* _CONFFIGARAY_H  */
