/* Copyright (c) 1996 by Stanford University.  All Rights Reserved */

/***************************************************************************
   NAME

   PURPOSE
     
   NOTES
     
   AUTHOR
     David Hsu  
   
     dyhsu@cs.stanford.edu
     http://robotics.stanford.edu/~dyhsu 
                  
   HISTORY

***************************************************************************/


/* Copyright (c) 1996 by Stanford University.  All Rights Reserved */

/***************************************************************************
   NAME
     utilites.h

  PURPOSE
     low level constants, data types and routines useful for all modules

   NOTES
     
   AUTHOR
     David Hsu  
   
     dyhsu@cs.stanford.edu
     http://robotics.stanford.edu/~dyhsu 
                  
   HISTORY

***************************************************************************/


#include <stdlib.h>
#include <iostream.h>
#include "random.H"
#include "dist.h"

Frame3 IFRAME[1]  = { 1.0, 0.0, 0.0, 	/* represent identity tranformation */
		      0.0, 1.0, 0.0,
		      0.0, 0.0, 1.0,
		      0.0, 0.0, 0.0};

static const int GenSize=2048;
RandomDouble randDbl(GenSize);		/* random double generator */
RandomInt    randInt(GenSize);		/* random integer generator */

void error(char* msg, char* arg)
{
    if (arg == NULL)
	cerr << msg << endl;
    else 
	cerr << msg << arg << endl;
    exit(-1);
}


/* stripComment
 *    src : input stream
 *  target: output stream
 *
 *    strip away comment or empty lines in the input stream, feed the result
 *    into output stream
 */

void stripComment(istream& src, ostream& target)
{
    const int bufsize = 256;
    char buffer[bufsize];

    while ( src.getline(buffer, bufsize, '\n' ) )

	   // if the line does not start with # or is empty, add to tartget
	   if ( buffer[0] != '#' && buffer[0] != '\0' )
	       target << buffer << endl;
}

	   
    

